:: Restore_HealBot.bat
::
:: Restores HealBot addon text files in WTF from a version prior to 8.2.5.7/1.13.2.12
::
:: This must be run in the World of Warcraft WTF folder
::
::

@ECHO OFF

IF NOT EXIST .\Account goto ERRHB

CLS
ECHO.
ECHO.
ECHO  Only use this when completely logged out of WoW
ECHO.
ECHO.
ECHO  Press R - Restore Healbot files in your WTF folder
ECHO            This restores settings from 8.2.5.6/1.13.2.11 or lower
ECHO.
ECHO            All existing Healbot settings WILL BE LOST
ECHO.
ECHO.
ECHO  Any other key - Do NOTHING and exit
ECHO.
ECHO.
ECHO.

SET /P GOWHERE=Enter R to Restore Healbot Files: 

if /i %GOWHERE%==R goto RESHB

goto SKIP

:RESHB

cls

FOR /r ".\Account" %%G in (.) DO (
 Pushd %%G
 if exist Healbot.lua.bak (
     move /Y Healbot.lua.bak Healbot_Data.lua
 )
 Popd )

echo.
echo.
echo Restored all healbot text files in WTF folders ** Completed **
echo.

goto DONE

:SKIP

echo.
echo  R NOT pressed - NOTHING RESTORED
echo.

goto DONE

:ERRHB

echo.
echo ERROR - === Folder Account not found ===
echo.
echo ERROR - Running in the wrong Folder
echo ERROR - Run this in the World of Warcraft WTF Folder
echo ERROR -    Retail: (ie. C:\Program Files\World of Warcraft\_retail_\WTF)
echo ERROR -   Classic: (ie. C:\Program Files\World of Warcraft\_classic_\WTF)
echo.

goto DONE

:DONE

pause

EXIT